public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/wcmatch/
@ 2020-03-28 11:00 Andrew Ammerlaan
  2020-03-28 11:08 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
  0 siblings, 1 reply; 6+ messages in thread
From: Andrew Ammerlaan @ 2020-03-28 11:00 UTC (permalink / raw
  To: gentoo-commits

commit:     f6f4d9a69588553e80ccc5635c5cbd59079a153d
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Mar 28 10:21:39 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Mar 28 11:00:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f6f4d9a6

dev-python/wcmatch: doc requires newer mkdocs

will make a PR for that in a bit

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/wcmatch/wcmatch-6.0.1.ebuild | 46 ++++++++++++++++++++++++---------
 1 file changed, 34 insertions(+), 12 deletions(-)

diff --git a/dev-python/wcmatch/wcmatch-6.0.1.ebuild b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
index 2e302e4..a056fd8 100644
--- a/dev-python/wcmatch/wcmatch-6.0.1.ebuild
+++ b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
@@ -3,8 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_6 )
-#DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} )
 
 inherit distutils-r1
 
@@ -18,18 +17,41 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
+#IUSE="doc"
+
+# Need mkdocs-1.1 for this
+#BDEPEND="
+#	doc? (
+#		dev-python/mkdocs-git-revision-date-localized-plugin
+#		dev-python/mkdocs_pymdownx_material_extras
+#		dev-python/pyspelling
+#	)
+#"
+
 RDEPEND="
 	>=dev-python/backrefs-4.1[${PYTHON_USEDEP}]
 	>=dev-python/bracex-2.0[${PYTHON_USEDEP}]
 "
-DEPEND="
-	${RDEPEND}
-	test? (
-		dev-python/bracex[${PYTHON_USEDEP}]
-	)
-"
+
 distutils_enable_tests pytest
-distutils_enable_sphinx docs/src \
-				dev-python/mkdocs-git-revision-date-localized-plugin \
-				dev-python/mkdocs_pymdownx_material_extras \
-				dev-python/pyspelling
+
+python_prepare_all() {
+	# no such file or dir ~homedir
+	sed -i -e 's:test_tilde_user:_&:' \
+		tests/test_glob.py || die
+
+	# AssertionError: 0 == 0
+	sed -i -e 's:test_tilde_globmatch_no_realpath:_&:' \
+		-e 's:test_tilde_globmatch_no_tilde:_&:' \
+		tests/test_globmatch.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+#python_compile_all() {
+#	default
+#	if use doc; then
+#		mkdocs build || die "failed to make docs"
+#		HTML_DOCS="site"
+#	fi
+#}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/wcmatch/
  2020-03-28 11:00 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/wcmatch/ Andrew Ammerlaan
@ 2020-03-28 11:08 ` Andrew Ammerlaan
  0 siblings, 0 replies; 6+ messages in thread
From: Andrew Ammerlaan @ 2020-03-28 11:08 UTC (permalink / raw
  To: gentoo-commits

commit:     f6f4d9a69588553e80ccc5635c5cbd59079a153d
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Mar 28 10:21:39 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Mar 28 11:00:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f6f4d9a6

dev-python/wcmatch: doc requires newer mkdocs

will make a PR for that in a bit

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/wcmatch/wcmatch-6.0.1.ebuild | 46 ++++++++++++++++++++++++---------
 1 file changed, 34 insertions(+), 12 deletions(-)

diff --git a/dev-python/wcmatch/wcmatch-6.0.1.ebuild b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
index 2e302e4..a056fd8 100644
--- a/dev-python/wcmatch/wcmatch-6.0.1.ebuild
+++ b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
@@ -3,8 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_6 )
-#DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} )
 
 inherit distutils-r1
 
@@ -18,18 +17,41 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
+#IUSE="doc"
+
+# Need mkdocs-1.1 for this
+#BDEPEND="
+#	doc? (
+#		dev-python/mkdocs-git-revision-date-localized-plugin
+#		dev-python/mkdocs_pymdownx_material_extras
+#		dev-python/pyspelling
+#	)
+#"
+
 RDEPEND="
 	>=dev-python/backrefs-4.1[${PYTHON_USEDEP}]
 	>=dev-python/bracex-2.0[${PYTHON_USEDEP}]
 "
-DEPEND="
-	${RDEPEND}
-	test? (
-		dev-python/bracex[${PYTHON_USEDEP}]
-	)
-"
+
 distutils_enable_tests pytest
-distutils_enable_sphinx docs/src \
-				dev-python/mkdocs-git-revision-date-localized-plugin \
-				dev-python/mkdocs_pymdownx_material_extras \
-				dev-python/pyspelling
+
+python_prepare_all() {
+	# no such file or dir ~homedir
+	sed -i -e 's:test_tilde_user:_&:' \
+		tests/test_glob.py || die
+
+	# AssertionError: 0 == 0
+	sed -i -e 's:test_tilde_globmatch_no_realpath:_&:' \
+		-e 's:test_tilde_globmatch_no_tilde:_&:' \
+		tests/test_globmatch.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+#python_compile_all() {
+#	default
+#	if use doc; then
+#		mkdocs build || die "failed to make docs"
+#		HTML_DOCS="site"
+#	fi
+#}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/wcmatch/
  2020-04-09 14:40 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
@ 2020-04-09 19:47 ` Andrew Ammerlaan
  0 siblings, 0 replies; 6+ messages in thread
From: Andrew Ammerlaan @ 2020-04-09 19:47 UTC (permalink / raw
  To: gentoo-commits

commit:     95372bf1f9d83011cf56978364291f4298e042f2
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Apr  9 14:40:45 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Apr  9 14:40:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=95372bf1

dev-python/wcmatch: tried to enable doc building

Package-Manager: Portage-2.3.98, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/wcmatch/wcmatch-6.0.1.ebuild | 35 ++++++++++++++-------------------
 1 file changed, 15 insertions(+), 20 deletions(-)

diff --git a/dev-python/wcmatch/wcmatch-6.0.1.ebuild b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
index a056fd8..eafec46 100644
--- a/dev-python/wcmatch/wcmatch-6.0.1.ebuild
+++ b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
@@ -5,7 +5,17 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{6,7,8} )
 
-inherit distutils-r1
+#ERROR   -  Unable to read git logs of '/tmp/mozilla_andrew0/wcmatch-6.0.1/docs/src/markdown/index.md'. To ignore this error, set option 'ignoring_missing_git: true'
+#ERROR   -  Error reading page 'index.md': Cmd('git') failed due to: exit code(128)
+# how does one enable this option???
+#DOCBUILDER="mkdocs"
+#DOCEPEND="
+#	dev-python/mkdocs-git-revision-date-localized-plugin
+#	dev-python/mkdocs_pymdownx_material_extras
+#	dev-python/pyspelling
+#"
+
+inherit distutils-r1 #docs
 
 DESCRIPTION="Wildcard/glob file name matcher"
 HOMEPAGE="
@@ -17,22 +27,15 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-#IUSE="doc"
-
-# Need mkdocs-1.1 for this
-#BDEPEND="
-#	doc? (
-#		dev-python/mkdocs-git-revision-date-localized-plugin
-#		dev-python/mkdocs_pymdownx_material_extras
-#		dev-python/pyspelling
-#	)
-#"
-
 RDEPEND="
 	>=dev-python/backrefs-4.1[${PYTHON_USEDEP}]
 	>=dev-python/bracex-2.0[${PYTHON_USEDEP}]
 "
 
+DEPEND="test? (
+	dev-python/mock[${PYTHON_USEDEP}]
+)"
+
 distutils_enable_tests pytest
 
 python_prepare_all() {
@@ -47,11 +50,3 @@ python_prepare_all() {
 
 	distutils-r1_python_prepare_all
 }
-
-#python_compile_all() {
-#	default
-#	if use doc; then
-#		mkdocs build || die "failed to make docs"
-#		HTML_DOCS="site"
-#	fi
-#}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/wcmatch/
  2020-04-10  7:15 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
@ 2020-04-10  7:35 ` Andrew Ammerlaan
  0 siblings, 0 replies; 6+ messages in thread
From: Andrew Ammerlaan @ 2020-04-10  7:35 UTC (permalink / raw
  To: gentoo-commits

commit:     d5a64cecce82be0d67a3063938c6c57fe3fc1db4
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Apr 10 07:15:36 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Apr 10 07:15:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d5a64cec

dev-python/wcmatch: fix doc, needs git repo

Package-Manager: Portage-2.3.98, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/wcmatch/wcmatch-6.0.1.ebuild | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

diff --git a/dev-python/wcmatch/wcmatch-6.0.1.ebuild b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
index eafec46..95097a6 100644
--- a/dev-python/wcmatch/wcmatch-6.0.1.ebuild
+++ b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
@@ -5,17 +5,15 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{6,7,8} )
 
-#ERROR   -  Unable to read git logs of '/tmp/mozilla_andrew0/wcmatch-6.0.1/docs/src/markdown/index.md'. To ignore this error, set option 'ignoring_missing_git: true'
-#ERROR   -  Error reading page 'index.md': Cmd('git') failed due to: exit code(128)
-# how does one enable this option???
-#DOCBUILDER="mkdocs"
-#DOCEPEND="
-#	dev-python/mkdocs-git-revision-date-localized-plugin
-#	dev-python/mkdocs_pymdownx_material_extras
-#	dev-python/pyspelling
-#"
-
-inherit distutils-r1 #docs
+DOCBUILDER="mkdocs"
+DOCDEPEND="
+	dev-python/mkdocs-git-revision-date-localized-plugin
+	~dev-python/mkdocs-material-5.0.0_rc2
+	dev-python/mkdocs_pymdownx_material_extras
+	dev-python/pyspelling
+"
+
+inherit distutils-r1 docs
 
 DESCRIPTION="Wildcard/glob file name matcher"
 HOMEPAGE="
@@ -48,5 +46,11 @@ python_prepare_all() {
 		-e 's:test_tilde_globmatch_no_tilde:_&:' \
 		tests/test_globmatch.py || die
 
+	# git revision data plugin needs git repo to build
+	if use doc; then
+		git init || die
+		git add -A || die
+		git commit -q -m ".." || die
+	fi
 	distutils-r1_python_prepare_all
 }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/wcmatch/
@ 2020-04-11  8:15 Andrew Ammerlaan
  0 siblings, 0 replies; 6+ messages in thread
From: Andrew Ammerlaan @ 2020-04-11  8:15 UTC (permalink / raw
  To: gentoo-commits

commit:     640df6efc39e3e10b7d1afdc6096fc40073c78c0
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Apr 11 08:13:45 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Apr 11 08:13:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=640df6ef

dev-python/wcmatch: do not depend on mkdocs-git-rev....

Package-Manager: Portage-2.3.98, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/wcmatch/wcmatch-6.0.1.ebuild | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/dev-python/wcmatch/wcmatch-6.0.1.ebuild b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
index 95097a6..1989b9f 100644
--- a/dev-python/wcmatch/wcmatch-6.0.1.ebuild
+++ b/dev-python/wcmatch/wcmatch-6.0.1.ebuild
@@ -7,7 +7,6 @@ PYTHON_COMPAT=( python3_{6,7,8} )
 
 DOCBUILDER="mkdocs"
 DOCDEPEND="
-	dev-python/mkdocs-git-revision-date-localized-plugin
 	~dev-python/mkdocs-material-5.0.0_rc2
 	dev-python/mkdocs_pymdownx_material_extras
 	dev-python/pyspelling
@@ -47,10 +46,9 @@ python_prepare_all() {
 		tests/test_globmatch.py || die
 
 	# git revision data plugin needs git repo to build
-	if use doc; then
-		git init || die
-		git add -A || die
-		git commit -q -m ".." || die
-	fi
+	# do not depend on this
+	sed -i -e '/git-revision-date-localized/d' \
+		mkdocs.yml || die
+
 	distutils-r1_python_prepare_all
 }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/wcmatch/
  2020-12-07 11:52 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
@ 2020-12-07 11:52 ` Andrew Ammerlaan
  0 siblings, 0 replies; 6+ messages in thread
From: Andrew Ammerlaan @ 2020-12-07 11:52 UTC (permalink / raw
  To: gentoo-commits

commit:     16fca7babc129a0ff88f7d7ea0b26c80a22f0487
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Dec  7 11:48:23 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Dec  7 11:48:23 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=16fca7ba

dev-python/wcmatch: version bump

Package-Manager: Portage-3.0.11, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/wcmatch/Manifest                        |  2 +-
 .../{wcmatch-6.0.1.ebuild => wcmatch-7.1.ebuild}   | 23 +++++++++++-----------
 2 files changed, 13 insertions(+), 12 deletions(-)

diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index d4809995..eb561b1f 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -1 +1 @@
-DIST wcmatch-6.0.1.tar.gz 89466 BLAKE2B ccbc397c0c67f6eba55875ba540aa2705f12808e2eb1e57417beed44fc5ee5234023de439d30f966c158d263154bdd3882ce361b77aab12f1365d172f425ad11 SHA512 aec942c1754103d9938189dbb8ea8b62d8621137b8b51e48095fa4d313cfa120764414345aa3b5d263e2fd29219bf7bd1fa1d238f16521421761853d43596bbc
+DIST wcmatch-7.1.tar.gz 105744 BLAKE2B 0add1c68025c92ac57d6ea64d82bddb20bace60de5d319fb16e16802f208d788d876695bfcd186b80630039f544565c631d36e1c7327dee5d8c799eff8c80ce2 SHA512 79d62d85f13d245e38d0fe92a275e24058b86af8aaf9a926bfd950dad4ec47e40e763c18b08d3eb4ddd925832ae9910f13407094070442b41dbe2fe4ad11fb39

diff --git a/dev-python/wcmatch/wcmatch-6.0.1.ebuild b/dev-python/wcmatch/wcmatch-7.1.ebuild
similarity index 67%
rename from dev-python/wcmatch/wcmatch-6.0.1.ebuild
rename to dev-python/wcmatch/wcmatch-7.1.ebuild
index d1a9f2a3..ef181cb4 100644
--- a/dev-python/wcmatch/wcmatch-6.0.1.ebuild
+++ b/dev-python/wcmatch/wcmatch-7.1.ebuild
@@ -7,8 +7,10 @@ PYTHON_COMPAT=( python3_{7,8} )
 
 DOCS_BUILDER="mkdocs"
 DOCS_DEPEND="
-	~dev-python/mkdocs-material-5.0.0_rc2
-	dev-python/mkdocs_pymdownx_material_extras
+	~dev-python/mkdocs_pymdownx_material_extras-1.0.7
+	dev-python/mkdocs-material
+	dev-python/mkdocs-git-revision-date-localized-plugin
+	dev-python/mkdocs-minify-plugin
 	dev-python/pyspelling
 "
 
@@ -40,15 +42,14 @@ python_prepare_all() {
 	sed -i -e 's:test_tilde_user:_&:' \
 		tests/test_glob.py || die
 
-	# AssertionError: 0 == 0
-	sed -i -e 's:test_tilde_globmatch_no_realpath:_&:' \
-		-e 's:test_tilde_globmatch_no_tilde:_&:' \
-		tests/test_globmatch.py || die
-
-	# git revision data plugin needs git repo to build
-	# do not depend on this
-	sed -i -e '/git-revision-date-localized/d' \
-		mkdocs.yml || die
+	# mkdocs-git-revision-date-localized-plugin needs git repo
+	if use doc; then
+		git init
+		git config --global user.email "you@example.com" || die
+		git config --global user.name "Your Name" || die
+		git add .
+		git commit -m 'init'
+	fi
 
 	distutils-r1_python_prepare_all
 }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2020-12-07 11:52 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-03-28 11:00 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/wcmatch/ Andrew Ammerlaan
2020-03-28 11:08 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2020-04-09 14:40 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-04-09 19:47 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-10  7:15 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-04-10  7:35 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-11  8:15 Andrew Ammerlaan
2020-12-07 11:52 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-12-07 11:52 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox